#ifndef BISON_CONFPARSE_H
# define BISON_CONFPARSE_H

#ifndef YYSTYPE
typedef union {
    int num;
    unsigned char *str;
    struct instruction *ins;
    struct binding *binding;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	INT	257
# define	FLOAT	258
# define	STRING	259
# define	ID	260
# define	FUNCTION	261
# define	RETURN	262
# define	VAR	263
# define	BIND	264
# define	SUBTREE	265
# define	RECURSIVE	266
# define	FINAL	267
# define	GLOBAL	268
# define	IF	269
# define	ELSE	270
# define	FOR	271
# define	WHILE	272
# define	NULLTOK	273
# define	T_INT	274
# define	T_FLOAT	275
# define	T_STRING	276
# define	T_ARRAY	277
# define	LOGOR	278
# define	LOGAND	279
# define	EQ	280
# define	NE	281
# define	LT	282
# define	GT	283
# define	LE	284
# define	GE	285
# define	AUTOADD	286
# define	AUTOSUB	287
# define	AUTOINC	288
# define	AUTODEC	289


extern YYSTYPE yylval;

#endif /* not BISON_CONFPARSE_H */
